Kirk Humphries

CodeWarrior question

Discussion created by Kirk Humphries Employee on Jan 27, 2006

This message contains an entire topic ported from a separate forum. The original message and all replies are in this single message. We have seeded this new forum with selected information that we expect will be of value to you as you search for answers to your questions.

 

Posted: Tue Oct 25, 2005  5:18 am

 

I have CW 5.7.0.1714 that came with the XDT512 demo board. Now I'm trying to get started with the NE64 demo, which comes with Code Warrior 3.1. Can I use the newer version of CW on the NE64 board? How do I get the NE64 stationary, processor expert, etc. installed on it?

 


 

Posted: Tue Oct 25, 2005  6:48 am

 

> I have CW 5.7.0.1714 that came with the XDT512 demo board.

> Now I'm trying to get started with the NE64 demo, which comes

> with Code Warrior 3.1.

Can I use the newer version of CW on the

> NE64 board? How do I get the NE64 stationary, processor expert,

> etc. installed on it?

 

5.7... is the IDE version, not the compiler version. For some reason they hide away the compiler version, don't ask me where. The only way I know of is to check the name of the directory where it is installed.

 

As I understand it (correct me if I'm wrong), there are separate compilers for S12 and S12X. The S12X compiler should be at version 4.1 and S12 on 3.1.

 


 

Posted: Tue Oct 25, 2005  7:59 am

 

You get the compiler (or any other build tool) version either

- from the resources (explorer, right mouse click, Properties)

- there is a compiler command line -v which reports version and subversion numbers

- you can get this as well through the about box (either start the .exe, Help > About) or through the button in the preference panel inside CodeWarrior

Message Edited by khumphri on 01-27-2006 09:58 AM

Outcomes